import { HubConnection } from '@microsoft/signalr';
import { Observable } from 'rxjs';
import { SendSignalRData, SignalRConfig } from './signalr';
import * as i0 from "@angular/core";
export declare class SignalRService {
    hubs: {
        config: SignalRConfig;
        connection: HubConnection;
        listeners: string[];
    }[];
    constructor();
    newConnection(config: SignalRConfig): Observable<any>;
    addListener(config: SignalRConfig, receive: (data: any) => void): void;
    send(event: SendSignalRData<unknown>): void;
    closeHub(hub: string, success: (methods: string[]) => void): void;
    closeConnection(config: SignalRConfig, success: (method: string) => void): void;
    private setupListener;
    static ɵfac: i0.ɵɵFactoryDeclaration<SignalRService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SignalRService>;
}
